Bullet Collision Detection & Physics Library: btSimulationIslandManager Class Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Private Attributes | List of all members
btSimulationIslandManager Class Reference

SimulationIslandManager creates and handles simulation islands, using btUnionFind. More...

`#include <btSimulationIslandManager.h>`

Inheritance diagram for btSimulationIslandManager:
[legend]
Collaboration diagram for btSimulationIslandManager:
[legend]

## Classes
struct | IslandCallback

## Public Member Functions
| btSimulationIslandManager ()
virtual | ~btSimulationIslandManager ()
void | initUnionFind (int n)
btUnionFind & | getUnionFind ()
virtual void | updateActivationState (btCollisionWorld *colWorld, btDispatcher *dispatcher)
virtual void | storeIslandActivationState (btCollisionWorld *world)
void | findUnions (btDispatcher *dispatcher, btCollisionWorld *colWorld)
void | buildAndProcessIslands (btDispatcher *dispatcher, btCollisionWorld *collisionWorld, IslandCallback *callback)
void | buildIslands (btDispatcher *dispatcher, btCollisionWorld *colWorld)
void | processIslands (btDispatcher *dispatcher, btCollisionWorld *collisionWorld, IslandCallback *callback)
bool | getSplitIslands ()
void | setSplitIslands (bool doSplitIslands)

## Private Attributes
btUnionFind | m_unionFind
btAlignedObjectArray< btPersistentManifold * > | m_islandmanifold
btAlignedObjectArray< btCollisionObject * > | m_islandBodies
bool | m_splitIslands

## Detailed Description

SimulationIslandManager creates and handles simulation islands, using btUnionFind.

Definition at line 30 of file btSimulationIslandManager.h.

## Constructor & Destructor Documentation

## ◆ btSimulationIslandManager()

btSimulationIslandManager::btSimulationIslandManager | ( |  | ) |

Definition at line 27 of file btSimulationIslandManager.cpp.

## ◆ ~btSimulationIslandManager()

btSimulationIslandManager::~btSimulationIslandManager | ( |  | ) |
| virtual

Definition at line 31 of file btSimulationIslandManager.cpp.

## Member Function Documentation

## ◆ buildAndProcessIslands()

void btSimulationIslandManager::buildAndProcessIslands | ( | btDispatcher * | dispatcher,
|  | btCollisionWorld * | collisionWorld,
|  | IslandCallback * | callback )

Definition at line 343 of file btSimulationIslandManager.cpp.

## ◆ buildIslands()

void btSimulationIslandManager::buildIslands | ( | btDispatcher * | dispatcher,
|  | btCollisionWorld * | colWorld )

Definition at line 196 of file btSimulationIslandManager.cpp.

## ◆ findUnions()

void btSimulationIslandManager::findUnions | ( | btDispatcher * | dispatcher,
|  | btCollisionWorld * | colWorld )

Definition at line 40 of file btSimulationIslandManager.cpp.

## ◆ getSplitIslands()

bool btSimulationIslandManager::getSplitIslands | ( |  | ) |
| inline

Definition at line 65 of file btSimulationIslandManager.h.

## ◆ getUnionFind()

btUnionFind & btSimulationIslandManager::getUnionFind | ( |  | ) |
| inline

Definition at line 45 of file btSimulationIslandManager.h.

## ◆ initUnionFind()

void btSimulationIslandManager::initUnionFind | ( | int | n | ) |

Definition at line 35 of file btSimulationIslandManager.cpp.

## ◆ processIslands()

void btSimulationIslandManager::processIslands | ( | btDispatcher * | dispatcher,
|  | btCollisionWorld * | collisionWorld,
|  | IslandCallback * | callback )

Process the actual simulation, only if not sleeping/deactivated

Definition at line 349 of file btSimulationIslandManager.cpp.

## ◆ setSplitIslands()

void btSimulationIslandManager::setSplitIslands | ( | bool | doSplitIslands | ) |
| inline

Definition at line 69 of file btSimulationIslandManager.h.

## ◆ storeIslandActivationState()

void btSimulationIslandManager::storeIslandActivationState | ( | btCollisionWorld * | world | ) |
| virtual

Definition at line 92 of file btSimulationIslandManager.cpp.

## ◆ updateActivationState()

void btSimulationIslandManager::updateActivationState | ( | btCollisionWorld * | colWorld,
|  | btDispatcher * | dispatcher )
| virtual

Definition at line 67 of file btSimulationIslandManager.cpp.

## Member Data Documentation

## ◆ m_islandBodies

btAlignedObjectArray<btCollisionObject*> btSimulationIslandManager::m_islandBodies
| private

Definition at line 35 of file btSimulationIslandManager.h.

## ◆ m_islandmanifold

btAlignedObjectArray<btPersistentManifold*> btSimulationIslandManager::m_islandmanifold
| private

Definition at line 34 of file btSimulationIslandManager.h.

## ◆ m_splitIslands

bool btSimulationIslandManager::m_splitIslands
| private

Definition at line 37 of file btSimulationIslandManager.h.

## ◆ m_unionFind

btUnionFind btSimulationIslandManager::m_unionFind
| private

Definition at line 32 of file btSimulationIslandManager.h.

The documentation for this class was generated from the following files:

- btSimulationIslandManager.h
- btSimulationIslandManager.cpp